메인 콘텐츠로 건너뛰기
POST
/
responses
response 생성
curl --request POST \
  --url https://api.orcarouter.ai/v1/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "openai/gpt-4.1",
  "input": "<string>",
  "instructions": "<string>",
  "previous_response_id": "<string>",
  "tools": [
    {
      "type": "<string>"
    }
  ],
  "tool_choice": "<string>",
  "temperature": 123,
  "top_p": 123,
  "max_output_tokens": 123,
  "stream": true,
  "reasoning": {},
  "store": true,
  "metadata": {}
}
'

인증

Authorization
string
header
필수

OrcaRouter API 키는 sk-orca-...처럼 보입니다. Authorization: Bearer sk-orca-... 헤더로 전달하세요.

본문

application/json
model
string
필수
예시:

"openai/gpt-4.1"

input
필수
instructions
string
previous_response_id
string

전체 메시지 기록을 다시 보내지 않고 다중 턴 대화를 계속 하기 위한 이전 응답의 ID.

tools
object[]

Responses-API 도구 엔트리의 자유 형식 배열. 각 엔트리의 type이 도구를 선택. 일반적인 값에는 function(커스텀 함수 도구, Chat Completions와 동일한 형태), web_search (내장 웹 그라운딩), mcp(Model Context Protocol), code_interpreter 포함. 내장 도구 호출 (web_search_call 등) 은 호출당 청구됨 — 운영 / 청구 및 사용량 참조.

tool_choice
temperature
number
top_p
number
max_output_tokens
integer
stream
boolean
reasoning
object

OpenAI Responses-API 추론 구성.

store
boolean

업스트림이 요청/응답을 저장할 수 있는지. 기본적으로 허용; 채널 설정 disable_store로 재정의 가능.

metadata
object

응답

200

OK